import itertools
import sys
import time

frames = [
    "|==========>                    |",
    " |==========>                   |",
    "  |==========>                  |",
    "   |==========>                 |",
    "    |==========>                |",
    "     |==========>               |",
    "      |==========>              |",
    "       |==========>             |",
    "        |==========>            |",
    "         |==========>           |",
    "          |==========>          |",
    "           |==========>         |",
    "            |==========>        |",
    "             |==========>       |",
    "              |==========>      |",
    "               |==========>     |",
    "                |==========>    |",
    "                 |==========>   |",
    "                  |==========>  |",
    "                   |==========> |",
    "                    |==========>|",
    "                     |==========|",
    "                      |=========|",
    "                       |========|",
    "                        |=======|",
    "                         |======|",
    "                          |=====|",
    "                           |====|",
    "                            |===|",
    "                             |==|",
    "                              |=|",
    "                               ||",
    "                               ||",
    "                               ||",
    "                               ||",
    "                               ||",
    "                               ||",
    ">                               |",
    "=>                              |",
    "==>                             |",
    "===>                            |",
    "====>                           |",
    "=====>                          |",
    "======>                         |",
    "=======>                        |",
    "========>                       |",
    "=========>                      |",
    "==========>                     |",
]


def display_loader(stop_loading, prefix="Loading...  "):
    """
    Displays a loading animation of a nail.
    """
    spinner = itertools.cycle(frames)
    while not stop_loading.is_set():
        sys.stdout.write(f"{prefix}{next(spinner)}")
        sys.stdout.flush()
        time.sleep(0.04)
        sys.stdout.write('\r')
    sys.stdout.write('\n')
